import '../models/models.dart';
import 'database_service.dart';

class LoginService {
  final DatabaseService<Usuario> _usuarioRepo = DatabaseService<Usuario>();

  Future<Usuario?> logIn(String email) async {
    List<Usuario> usuarios = await _usuarioRepo.obtenerTodos();
    Usuario? usuario = usuarios.firstWhere(
      (user) => user.correo?.toLowerCase() == email.toLowerCase(),
      orElse: () => null as Usuario,
    );

    return usuario;
  }
}
